githubEdit

Package Version

circle-info

This document uses the REST API. For more details, see the Authentication for API page.

Get a package version (Early Access)

get

Get package version metadata for a specific version of a package from an ecosystem.

Important: The security section of package_health refers to the specific version in the request, not the latest version. Since the overall_rating is computed from all health sections (including security), it is also influenced by this version's security data.

Supported Ecosystems: npm, pypi, maven, nuget, golang

Version Format: Accepts standard semantic versioning formats (e.g., 1.2.3, v1.2.3). Note: Golang commit hashes are NOT supported as version identifiers. Use tagged versions only.

Required permissions

  • View Organization (org.read)
Authorizations
AuthorizationstringRequired

API key value must be prefixed with "Token ".

Path parameters
org_idstring · uuidRequired

Org ID

ecosystemstring · enumRequired

The package ecosystem

Example: npmPossible values:
package_namestringRequired

Package name (URL encoded if needed)

Example: express
package_versionstringRequired

Package version (URL encoded if needed). Accepts semantic versioning formats (e.g., 1.2.3, v1.2.3). Note: Golang commit hashes are NOT supported.

Example: 4.19.2
Query parameters
versionstringRequired

Requested API version

Example: 2025-11-05Pattern: ^(wip|work-in-progress|experimental|beta|((([0-9]{4})-([0-1][0-9]))-((3[01])|(0[1-9])|([12][0-9]))(~(wip|work-in-progress|experimental|beta))?))$
Responses
chevron-right
200

Returns package version metadata

application/vnd.api+json
get
/orgs/{org_id}/ecosystems/{ecosystem}/packages/{package_name}/versions/{package_version}

Last updated

Was this helpful?